Subject: bug#51841: 27.2; erc-insert-marker has no value

From: Rostislav Svoboda <[email-masked]>
Date: Mon, 15 Nov 2021 00:29:57 +0100

Hi J.P.

> However, you're welcome to share whatever it was that drove you to try that in the first place, if you think there's more to consider here.

I started erc with:
    erc-fill-function 'erc-fill-static
    erc-fill-static-center 20
and realized that empty space of 20 chars is too much. So I ran `(setq
erc-fill-static-center 15)` only to see no change. And then I thought
let's try `M-x erc-mode` to get the changes activated...

BTW I tried to reproduce the problem and I realized the bug gets
triggered only if I run the `M-x erc-mode` in the "main" erc buffer.
By that I mean the one with:
    *** Welcome to the Libera.Chat Internet Relay Chat Network bost
    *** Your host is silver.libera.chat[172.106.11.86/6667], running
version solanum-1.0-dev
    ...

The bug doesn't get triggered when running the `M-x erc-mode` in a
channel-buffer. (That doesn't activate the change either, but that's
another story, though :)

Thanks

Bost

Le dim. 14 nov. 2021 à 23:53, J.P. <[email-masked]> a écrit :
>
> Rostislav Svoboda <[email-masked]> writes:
>
> > Hi. The bug
> >     "erc-insert-marker has no value, please report a bug"
> > gets triggered when I run `M-x erc-mode` in an existing IRC channel.
> >
> > Thanks in advance for fixing it.
> >
> > Bost
>
> Hi Bost,
>
> I think what's happening is that all your local variables are getting
> killed by manually running `erc-mode'. And replacements are hard won
> because ERC is a bit funny when it comes to setting up buffers and
> initializing local variables. This causes real problems, like imposing
> artificial burdens on modules, for example. (I have a patch that I think
> improves the situation here [1], but that's a whole other discussion.)
>
> The error you saw is from the function `erc-beg-of-input-line', which is
> used throughout ERC. That message probably wasn't intended for folks
> invoking `erc-mode' manually, which you've probably gathered by now.
> However, you're welcome to share whatever it was that drove you to try
> that in the first place, if you think there's more to consider here.
>
> Thanks,
> J.P.
>
> [1] https://gitlab.com/jpneverwas/erc-tools/-/raw/39b10aa2a1832586aeef34b9a6f045d6e0f9b015/bugs/49860/patches/wip/0024-Enable-local-ERC-modules-in-erc-mode-buffers.patch